Subject: [alpine-aports] [PATCH] testing/gtksourceview3: new aport

From: ScrumpyJack <[email-masked]>
Date: Fri, 12 Jun 2015 15:55:00 +0000 (UTC)

A text widget adding syntax highlighting and more to GNOME
http://live.gnome.org/GtkSourceView

APKBUILD file shamelessly copied from ncopa's gtksourceview2

---
 testing/gtksourceview3/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/gtksourceview3/APKBUILD

diff --git a/testing/gtksourceview3/APKBUILD b/testing/gtksourceview3/APKBUILD
new file mode 100644
index 0000000..2dd6f06
--- /dev/null
+++ b/testing/gtksourceview3/APKBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Natanael Copa <[email-masked]>
+pkgname=gtksourceview3
+pkgver=3.17.2
+pkgrel=0
+pkgdesc="A text widget adding syntax highlighting and more to GNOME"
+url="http://live.gnome.org/GtkSourceView"
+arch="all"
+license="GPL"
+replaces="gtksourceview"
+depends=
+depends_dev="gtk+3.0-dev libxml2-dev"
+makedepends="$depends_dev gobject-introspection-dev"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="http://ftp.gnome.org/pub/gnome/sources/gtksourceview/${pkgver%.*}/gtksourceview-$pkgver.tar.xz"
+
+_builddir="$srcdir/gtksourceview-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--localstatedir=/var \
+		--disable-static \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" -name '*.la' -delete
+}
+md5sums="3849057f94f9e1847035efb1334c2261  gtksourceview-3.17.2.tar.xz"
+sha256sums="c443f6ef0dfda93be27aef43bb4dbafdb5cffcac2971d9dbcf025d9c8fd2733c  gtksourceview-3.17.2.tar.xz"
+sha512sums="b9caebee9152ac2c8742d2af09725e6f9a63bd174f503377b1e2feb19fe11f0687da1256dd03fc5c742c1625088c61ed1ec9423a4fdd5f582fe45a4d497ce482  gtksourceview-3.17.2.tar.xz"
-- 
2.4.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---